// by Johnson Cheung (come.to/luckystar)
// Last update : Febuary 4, 2002

// **********************************************
// Browser detection
var browsername=navigator.appName;
if (browsername.indexOf("Netscape")!=-1) {browsername="NS"}
else { if (browsername.indexOf("Microsoft")!=-1) {browsername="MSIE"}
else {browsername="N/A"} };
browserid="0";
if (navigator.appVersion.indexOf("3.")!=-1) {browserid="3"};
if (navigator.appVersion.indexOf("4.")!=-1) {browserid="4"};
if (navigator.appVersion.indexOf("5.")!=-1) {browserid="5"};
if (navigator.appVersion.indexOf("6.")!=-1) {browserid="6"};

if (browsername=="MSIE") {
	// check 5.0 or 5.5
	thestring = navigator.appVersion;
	ienamestart = thestring.indexOf("MSIE");
	thestring = thestring.substring(ienamestart,thestring.length);
	semicolon = thestring.indexOf(";");
	ieversion = parseFloat(thestring.substring(5,semicolon));
}

var ImageEffect = (browsername=="MSIE") && (browserid>=5);	// this is for image filter effect
var IE = (browsername == "MSIE");
var NS = (browsername == "NS");

// **********************************************
// Prevent Dragging & Right Clicking
document.oncontextmenu=eventfalse;
document.onselectstart=eventfalse;
document.ondragstart=eventfalse;
function eventfalse()
{
	window.event.returnValue=false;
}

// **********************************************
// functions from DreamWeaver 4.0
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function MM_showHideLayers() { //v3.0
  var i,p,v,obj,args=MM_showHideLayers.arguments;
  for (i=0; i<(args.length-2); i+=3) if ((obj=MM_findObj(args[i]))!=null) { v=args[i+2];
    if (obj.style) { obj=obj.style; v=(v=='show')?'visible':(v='hide')?'hidden':v; }
    obj.visibility=v; }
}